<?xml version="1.0" encoding="UTF_8"?>
    <ModuleCap>
        <tag key="HAL_CUSTOM_FOV_RATIO_VALUES" type="float" alias="CAMERA_HW_FOV_RATIO_VALUES" source="function" action="expand"></tag>
        <tag key="HAL_REPROCESS_CUSTOM_QUICKTHUMBNAIL_RESOLUTION_SUPPORTED" type="int32_t" action="override">
            <value>4160</value>
            <value>3120</value>
        </tag>
        <tag key="HAL_CUSTOM_MAIN_MODE_SUPPORTED" type="uint8_t" action="override">
            <value>1</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PRE_CORRECTION_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>2816</value>
            <value>2112</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t" action="override">
            <value>3072</value>
            <value>2112</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>2816</value>
            <value>2112</value>
        </tag>
        <tag key="HAL_CUSTOM_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t" action="override">
            <value>2</value>
            <value>4160</value>
            <value>3120</value>
            <value>33333333</value>
            <value>2</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>
            <value>2</value>
            <value>4576</value>
            <value>2576</value>
            <value>33333333</value>
            <value>2</value>
            <value>4576</value>
            <value>2080</value>
            <value>33333333</value>
            <value>2</value>
            <value>4160</value>
            <value>1880</value>
            <value>33333333</value>
            <value>2</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>
            <value>2</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>
            <value>2</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>
            <value>2</value>
            <value>3120</value>
            <value>3120</value>
            <value>33333333</value>
            <value>2</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>
            <value>3</value>
            <value>4160</value>
            <value>3120</value>
            <value>33333333</value>
            <value>3</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>
            <value>3</value>
            <value>4576</value>
            <value>2576</value>
            <value>33333333</value>
            <value>3</value>
            <value>4576</value>
            <value>2080</value>
            <value>33333333</value>
            <value>3</value>
            <value>4160</value>
            <value>1880</value>
            <value>33333333</value>
            <value>3</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>
            <value>3</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>
            <value>3</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>
            <value>3</value>
            <value>3120</value>
            <value>3120</value>
            <value>33333333</value>
            <value>3</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>
        </tag>
    </ModuleCap>
